<launch>

    <!-- Name of the configuration file -->
    <arg name="config_file" default="alb_tcp.yaml" />
    
    <!-- Common parameters for all Nodes. -->
    <param name="ip_address" value="192.168.2.2"/>
    <param name="ip_port" type="int" value="11120"/>

    <!-- Node to read data from the ALB. -->
    <node name ="alb_data" pkg="outsight_alb_driver" type="alb_data" output="screen">
        <rosparam command="load" file="$(find outsight_alb_driver)/config/$(arg config_file)"/>
    </node>

    <!-- Node to configure the ALB. -->
    <node name ="alb_services" pkg="outsight_alb_driver" type="alb_services" output="screen"/>
</launch>
